gnutls_packet_get(3)

NAME
gnutls_packet_get - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_packet_get(gnutls_packet_t packet, gnutls_datum_t * data, unsigned char * sequence);

ARGUMENTS

gnutls_packet_t packet
    is a gnutls_packet_t type.

gnutls_datum_t * data
    will contain the data present in the packet structure (may be NULL)

unsigned char * sequence
    the 8-bytes of the packet sequence number (may be NULL)

DESCRIPTION
This function returns the data and sequence number associated with the received packet.

SINCE
3.3.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/